<?php
/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2001 by Francisco Burzi (fbc@mandrakesoft.com)         */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* Theme"Darkside" design by Astro Web Design & Jack Kozbial            */
/* Copyright (C) 2001 Jack Kozbial                                      */
/* jack@internetintl.com  Chicago,USA                                   */
/* http://www.internetintl.com                                          */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

$bgcolor1 = "#888888"; // top theme & title block
$bgcolor2 = "#888888"; // data.php nav.php banner logo
$bgcolor3 = "#BBBBBB"; // Scripts - Registered users ...  & bottom
$bgcolor4 = "#555555"; // 
$textcolor1 = "#ffffff";
$textcolor2 = "#ffffff";

/************************************************************/
/* OpenTable Functions                                      */
/*                                                          */
/* Define the tables look&feel for you whole site. For this */
/* we have two options: OpenTable and OpenTable2 functions. */
/* Then we have CloseTable and CloseTable2 function to      */
/* properly close our tables. The difference is that        */
/* OpenTable has a 100% width and OpenTable2 has a width    */
/* according with the table content                         */
/************************************************************/
function OpenTable() {
    global $bgcolor1, $bgcolor2;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function OpenTable2() {
    global $bgcolor1, $bgcolor2;
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\" align=\"center\"><tr><td>\n";
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable() {
    echo "</td></tr></table></td></tr></table>\n";
}

function CloseTable2() {
    echo "</td></tr></table></td></tr></table>\n";
}

/************************************************************/
/* FormatStory                                              */
/*                                                          */
/* Here we'll format the look of the stories in our site.   */
/* If you dig a little on the function you will notice that */
/* we set different stuff for anonymous, admin and users    */
/* when displaying the story.                               */
/************************************************************/
function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
	$notes = "<br><br><b>"._NOTE."</b> <i>$notes</i>\n";
    } else {
	$notes = "";
    }
    if ("$aid" == "$informant") {
	echo "$thetext$notes\n";
    } else {
	if($informant != "") {
	    $boxstuff = "<a href=\"modules.php?name=Your_Account&amp;op=userinfo&amp;uname=$informant\">$informant</a> ";
	} else {
	    $boxstuff = "$anonymous ";
	}
	$boxstuff .= ""._WRITES." <i>\"$thetext\"</i>$notes\n";
	echo "$boxstuff\n";
    }
}

/************************************************************/
/* Function themeheader()                                   */
/*                                                          */
/* Control the header for your site. You need to define the */
/* BODY tag and in some part of the code call the blocks    */
/* function for left side with: blocks(left);               */
/************************************************************/

function themeheader() {
    global $user, $sitename, $cookie, $prefix, $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $textcolor1, $slogan, $banners;
	cookiedecode($user);
    $username = $cookie[1];
    if ($username == "") {
        $username = "Anonymous";
		}
    echo "<body bgcolor=\"#000000\">
<!-- main table 100% -->
<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\" bordercolor=\"$bgcolor1\" bgcolor=\"$bgcolor4\" height=\"100%\">
  <tr> 
    <td valign=\"top\">
<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"4\" height=\"90\">
        <tr> 
          <td bgcolor=\"$bgcolor2\" width=\"25%\"><a href=\"index.php\"><img src=\"themes/Darkside/images/logo.gif\" border=\"0\"></A></td>
          <td bgcolor=\"$bgcolor2\" width=\"75%\">";
    if ($banners) {
    include("banners.php");
    }
	
   echo "</td>";
   
include("themes/Darkside/nav.php"); 
include("themes/Darkside/data.php"); 
include("themes/Darkside/welcome.php"); 
//<!-- left and right table definition  -->

echo "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr valign=\"top\">
    <td width=\"15%\" align=left>";
    blocks(left);

  echo "
    </td>";
    if ($index == 1) {

echo "
        <td align=center valign=top width=\"100%\">";
    }
if ($index == 0) {

echo "
        <td align=left valign=top width=\"100%\">";
    }
}
echo "</tr></table>";

/************************************************************/
/* Function themefooter()                                   */
/*                                                          */
/* Control the footer for your site. You don't need to      */
/* close BODY and HTML tags at the end. In some part call   */
/* the function for right blocks with: blocks(right);       */
/* Also, $index variable need to be global and is used to   */
/* determine if the page your're viewing is the Homepage or */
/* and internal one.                                        */
/************************************************************/

function themefooter() {
    global $index, $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4;
    if ($index == 1) {
    echo "
     <td align=\"right\" valign=\"top\" width=\"100%\">";
    blocks(right);
    echo "
    </td>
</tr>
</table>";
    }
    if ($index == 0) {
    echo "
    </td>
</tr>
</table>";
    }
	echo "<TABLE border=0 cellPadding=0 cellSpacing=4 width=\"100%\">
        <TBODY>
          <TR bgColor=\"$bgcolor2\"> 
          <TD align=right vAlign=bottom>";
		  
include("themes/Darkside/bottom.php"); 

echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\">
        <tr>
          <td>
<div align=\"left\"><b>&nbsp;&nbsp;<a href=\"#top\"> </a>&nbsp;&nbsp;::&nbsp;&nbsp;  <img src=\"themes/Darkside/images/explorer.gif\" align=\"absmiddle\" alt=\"Internet Explorer\"> 800x600 and up</b></div></td>
          <td>
<div align=\"right\"><b>Theme by <a href=\"http://www.internetintl.com\">Astro Web Design</a>&nbsp;&nbsp;</b></div></td>
        </tr>
      </table><tr><td width=\"100%\"><IMG SRC=\"themes/Darkside/images/black.gif\" WIDTH=\"100%\" HEIGHT=\"1\" BORDER=0></td></tr>
    </TD>
  </TR></TBODY></TABLE>
            
<table border=\"0\" cellspacing=\"2\" cellpadding=\"4\" width=\"100%\">
  <tr valign=\"top\" bgcolor=\"$bgcolor3\">
    <td align=\"center\">";
         footmsg();
    echo "
    </td>
  </tr>
 </table>
    </td>
</tr>
</table>
    </center>";
}

/************************************************************/
/* Function themeindex()                                    */
/*                                                          */
/* This function format the stories on the Homepage         */
/************************************************************/

include("themes/Darkside/stories.php");  

/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/

include("themes/Darkside/blocks.php");
?> 
